Dialogs module - Defect #521

Change introduced in rev 76 prevents Smart client working in 6.0.6
06/29/2012 05:56 AM - Patrick Talbot
Target version:
Description
| believe globals.js line 62:

if (Packages.com.servoy.j2db.ClientVersion.getReleaseNumber ()>= 1400 /*Servoy 6.1 or higher*/) {

is not working in a real Smart client (perhaps some ClassLoading issue or security related issue).
This works in developer but not in a real Smart client...

This makes the whole globals.DIALOGS unusable (it is null).
Reverting to rev 75 fixes it.

| propose to use a simple parsing of application.getVersion() instead of relying on non public API! ;)

History

#1 - 06/29/2012 08:12 AM - Robert Ivens

- Status changed from New to Rejected
This is already fixed by revision 77. Which is the latest revision in trunk at the time of this writing :)
#2 - 06/29/2012 02:22 PM - Patrick Talbot

Then it's the change of rev 77 which is causing a problem...

All | know is that | could see on a server of a client of mine that this wasn't working with the latest version, so | reverted to rev 75 that | know was
working... The result was a JavaScript error on globals.DIALOGS.showErrorMessage(), saying that showErrorMessage() couldn't be called on null...

| deduced it was the call to Packages.com.servoy.j2db.ClientVersion.getReleaseNumber();
but perhaps its the call to new Continuation(); that is not working???

All I'm saying is that it needs to be tested in a real client....

#3 - 06/29/2012 02:28 PM - Robert lvens

- Status changed from Rejected to Reopened

Hmm...well continuations shouldn't be used with smart client anyway, it's webclient only.
Will investigate.

#4 - 06/29/2012 02:38 PM - Patrick Talbot
- File DIALOGS-null.png added

Well in that case, there is a need for some conditional code, but | just tested it in Smart client with rev77 and got the same error (working fine in Web
client and Debug client from Developer, and Web client from server, but not working in Smart client from server).
#5 - 07/01/2012 01:25 PM - Robert Ivens

- Status changed from Reopened to Feedback

The code is full of conditional code. | did spot one discrepancy though. The terminator variable was declared with a continuation. | made it conditional.
Can you check revision 78 and see if this fixes it for you?

#6 - 07/01/2012 06:49 PM - Patrick Talbot
- Status changed from Feedback to Closed

Working now with rev >= 78. Thanks!
